#ifndef _FLYER_H_
#define _FLYER_H_

#include <QMap>
#include <QFrame>
#include <QPixmap>
#include <QPainter>
#include <QTreeWidgetItem>

#include "unzip.h"

class Flyer : public QFrame
{
  Q_OBJECT

  public:
    unzFile flyerFile;

    Flyer(QWidget *parent = 0);
    ~Flyer();

  public slots:
    void drawCenteredImage(QPixmap *, QPainter *);
    void drawScaledImage(QPixmap *, QPainter *);
    bool loadFlyer(QString, bool checkOnly = FALSE, QString *fileName = NULL);

  protected:
    void paintEvent(QPaintEvent *);
};

#endif
