#ifndef _PREVIEW_H_
#define _PREVIEW_H_

#include <QMap>
#include <QFrame>
#include <QPixmap>
#include <QPainter>
#include <QTreeWidgetItem>

#include "unzip.h"

class Preview : public QFrame
{
  Q_OBJECT

  public:
    unzFile previewFile;

    Preview(QWidget *parent = 0);
    ~Preview();

  public slots:
    void drawCenteredImage(QPixmap *, QPainter *);
    void drawScaledImage(QPixmap *, QPainter *);
    bool loadPreview(QString, bool checkOnly = FALSE, QString *fileName = NULL);

  protected:
    void paintEvent(QPaintEvent *);
};

#endif
